Skip to main content

Get Master Details​

The Master Lookup API is used to fetch master/reference data required during the Insurance quote journey. This API returns lookup values based on the provided lookup category and entity IDs.

Request Body required
    lookUpCategory string required

    Possible values: <= 15 characters, [quote, proposal]

    Defines the lookup context. For quote journey, value should be quote or proposal.

    manufacturerId string

    Possible values: [ICICI, TATA, ABSLI, IL, HDFC]

    Manufacturer ID of which need to find the enum value for proposal.

    entityIds string[] required

    List of master entities for which lookup data is required

Responses

Consumer Response


Schema
    reqId string
    errors object

    This array will capture error code and error message

    errorCode string

    Possible values: <= 50 characters

    In case error occurs, the error code will be stored here

    error string

    Possible values: <= 100 characters

    In case error occurs, the error message will be stored here

    data object
    EDUCATN string[]

    Education master API that returns all valid education codes supported by the system as a flat array of strings.

    CHANNEL string[]

    Returns the list of supported sales and distribution channels through which policies are sourced.

    GENDER string[]

    Returns the list of supported gender categories.

    MARITAL string[]

    Returns the list of supported marital status values.

    MEMTYPE string[]

    Returns the list of supported member types in a policy.

    OCC string[]

    Returns the list of supported occupation categories.

    PPF string[]

    Returns the list of supported policy proposal frequencies.

    PPO string[]

    Returns the list of supported policy payment options.

    QUOTECAT string[]

    Returns the list of supported quote categories.

    QUOTETYP string[]

    Returns the list of supported quote types.

    RELWTHLA string[]

    Returns the list of supported relationships with the life assured.

    STATE string[]

    Returns the list of supported Indian state and union territory codes.

    TITLE string[]

    Returns the list of supported customer titles.

    TOBACCO string[]

    Returns the list of supported tobacco consumption indicators.

Loading...